$(document).ready(function() {
	
	function anchorClick(link) {
		
		var linkSplit = link.split('/').pop();
		
		$.get('/demo/history/pages/' + linkSplit, function(data) {
			$('#content').html(data);
		});
	
	}
	
	$('#container').on('click', 'a', function(e) {
		
		window.history.pushState(null, null, $(this).attr('href'));
		
		anchorClick($(this).attr('href'));
		
		e.preventDefault();

	});
	
	window.addEventListener('popstate', function(e) {
		
		anchorClick(location.pathname);		
	
	});
	
	
	var play = false;
	
	$('.play').click(function() {
		
		if(play == false) {
			
			$('#music')[0].play();
			play = true;
			$('.play .plbtn').hide();
			$('.play .pabtn').show();
			
		} else {
			
			$('#music')[0].pause();
			play = false;
			$('.play .plbtn').show();
			$('.play .pabtn').hide();
		
		}
	});
	
});